<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright 1996-2016 itServe AG. All rights reserved.

    This software is the proprietary information of itServe AG
    Bern Switzerland. Use is subject to license terms.

-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.itserve.ch/step/2.1/integration"
                xmlns:sd="http://www.swissdec.ch/schema/sd/20130514/SalaryDeclaration"
                xmlns:sdc="http://www.swissdec.ch/schema/sd/20130514/SalaryDeclarationConsumerServiceTypes"
                version="1.0">
    <xsl:output method="xml" indent="yes"/>

    <xsl:param name="municipalityID" select="'4321'"/>

    <xsl:template match="/">
        <xsl:apply-templates select="//sdc:DeclareSalaryConsumer"/>
    </xsl:template>

    <xsl:template match="sd:Person">
        <xsl:if test="sd:TaxAtSourceSalaries/sd:TaxAtSourceSalary/sd:TaxAtSourceMunicipalityID/text() = $municipalityID">
            <xsl:element name="Person" namespace="http://www.swissdec.ch/schema/sd/20130514/SalaryDeclaration">
                <xsl:apply-templates/>
            </xsl:element>
        </xsl:if>
    </xsl:template>

    <xsl:template match="sd:TaxAtSourceSalary">
        <xsl:if test="sd:TaxAtSourceMunicipalityID/text() = $municipalityID">
            <xsl:element name="TaxAtSourceSalary"
                         namespace="http://www.swissdec.ch/schema/sd/20130514/SalaryDeclaration">
                <xsl:attribute name="institutionIDRef">
                    <xsl:value-of select="@institutionIDRef"/>
                </xsl:attribute>
                <xsl:apply-templates/>
            </xsl:element>
        </xsl:if>
    </xsl:template>

    <xsl:template match="comment()|processing-instruction()|text()">
        <xsl:copy/>
    </xsl:template>
    <xsl:template match="*">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
            <xsl:apply-templates select="comment()|processing-instruction()|text()|*"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>
